PhraseWildcardQuery.TermsData (Lucene 10.5.1 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: PhraseWildcardQuery, class: TermsData

Package org.apache.lucene.sandbox.search

# Class PhraseWildcardQuery.TermsData

java.lang.Object
org.apache.lucene.sandbox.search.PhraseWildcardQuery.TermsData

Enclosing class:
  `PhraseWildcardQuery`

protected static class PhraseWildcardQuery.TermsData extends Object
Holds the `TermState` and `TermStatistics` for all the matched and collected `Term`, for all phrase terms, for all segments.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `numSegments`
  `protected final int`
  `numTerms`
  `protected int`
  `numTermsMatching`
  `protected final PhraseWildcardQuery.TermData[]`
  `termDataPerPosition`
  `protected final List<TermStatistics>`
  `termStatsList`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TermsData(int numTerms, int numSegments)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `areAllTermsMatching()`
  `protected PhraseWildcardQuery.TermData`
  `getOrCreateTermData(int termPosition)`
  `protected PhraseWildcardQuery.TermData`
  `getTermData(int termPosition)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### numTerms

    protected final int numTerms

  - ### numSegments

    protected final int numSegments

  - ### termStatsList

    protected final List<TermStatistics> termStatsList

  - ### termDataPerPosition

    protected final PhraseWildcardQuery.TermData[] termDataPerPosition

  - ### numTermsMatching

    protected int numTermsMatching

- ## Constructor Details

  - ### TermsData

    protected TermsData(int numTerms, int numSegments)

- ## Method Details

  - ### getOrCreateTermData

    protected PhraseWildcardQuery.TermData getOrCreateTermData(int termPosition)

  - ### getTermData

    protected PhraseWildcardQuery.TermData getTermData(int termPosition)

  - ### areAllTermsMatching

    protected boolean areAllTermsMatching()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`